\name{draw.edges}
\alias{draw.edges}

\title{ Plot of Focal Point and Edges }

\description{
     Make a plot showing the focal point and all its associated edges.
}

\usage{
     draw.edges(edgedat, ...)
}

\arguments{
     \item{edgedat}{A dataframe}
     \item{...}{Additional arguments to be passed to \code{\link{plot}}.}
}

\details{
     The first four columns of \code{edgedat} are used.
     The first row is for the focal point, giving its x and y coordinates in the first two columns.
     Each additional row is for an edge segment, giving the coordinates of one end (first two columns) and the other end (second two columns).
}

\value{
     Produces a plot.
}

\note{
    See \code{vignette("edgefx")} for an example.
}

\references{
    Malcolm (1994) Ecology 75:2438--2445

    Ries etc.
}

\author{
    Goldberg, E.E. and Ries, L.

    Maintainer: Emma E. Goldberg <eeg@uic.edu>
}

\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (edgedat, ...) 
{
    xs <- c(edgedat[, 1], edgedat[, 3])
    ys <- c(edgedat[, 2], edgedat[, 4])

    plot(c(xs, edgedat[1, 1]), c(ys, edgedat[1, 2]), type="n", ...)
    points(edgedat[1, 1], edgedat[1, 2], col = "#D55E00", pch = 16)
    for (n in seq(length(edgedat[, 1]) - 1)) {
        lines(edgedat[n + 1, c(1, 3)], edgedat[n + 1, c(2, 4)],
            col = "#0072B2", lwd = 3)
    }
  }
}
