\name{find.edges}
\alias{find.edges}

\title{Identify Edge Cells}
\description{
     Find the coordinates of edge cells in a habitat grid.  Edges are non-habitat cells that border at least one habitat cell.
}

\usage{
     find.edges(map)
}

\arguments{
     \item{map}{A matrix with one number per cell.  0 is non-habitat, numbers greater than 0 are habitat.}
}

\value{
     A dataframe with one row per edge cell found.  The columns \code{row} and \code{col} give the coordinates.
}

\note{
    See \code{vignette("edgefx")} for an example.
}

\references{
    Malcolm (1994) Ecology 75:2438--2445

    Ries etc.
}

\author{
    Goldberg, E.E. and Ries, L.

    Maintainer: Emma E. Goldberg <eeg@uic.edu>
}

\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (map) 
{
    nonhabitat <- data.frame(which(map == 0, arr.ind = T))
    edges <- nonhabitat[apply(nonhabitat, 1, is.edge, map),]
    return(edges)
  }
}
