\name{is.edge}
\alias{is.edge}
\title{ Test if a Cell is an Edge }

\description{
    In a gridded landscape, test if a cell is an edge.
}

\usage{
    is.edge(cell, map)
}

\arguments{
     \item{cell}{A vector or dataframe with two components, the (x, y) coordinates of the cell.}
     \item{map}{The gridded habitat map.}
}

\value{
    TRUE or FALSE
}

\author{
    Goldberg, E.E. and Ries, L.

    Maintainer: Emma E. Goldberg <eeg@uic.edu>
}

\references{
    Malcolm (1994) Ecology 75:2438--2445

    Ries etc.
}

\note{
    Used by \code{find.edges}.
}

\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (cell, map) 
{
    if (class(cell) != "data.frame") {
        cell <- data.frame(row = cell[1], col = cell[2])
    }
    if (map[cell$row, cell$col] > 0) {
        return(FALSE)
    }
    else {
        neighbors <- matrix(c(rep(cell$row, 2), c(-1, 1) + cell$row, 
            c(-1, 1) + cell$col, rep(cell$col, 2)), nrow = 4, 
            dimnames = list(seq(4), c("row", "col")))
        neighbors <- neighbors[neighbors[, 1] > 0 & neighbors[, 
            1] <= nrow(map) & neighbors[, 2] > 0 & neighbors[, 
            2] <= ncol(map), ]
        return(sum(map[neighbors]) != 0)
    }
  }
}
