\name{map.edge.effect}
\alias{map.edge.effect}

\title{ Compute Effect of all Edges in a Map }

\description{
     Compute the edge effect at the focal point, incorporating all its relevant edges.
}

\usage{
     map.edge.effect(edgecoord, e0, Dmax, k, D0 = 0)
}

\arguments{
     \item{edgecoord}{A dataframe}
     \item{e0}{The maximum effect (at distance 0)}
     \item{Dmax}{The maximum distance at which any effect is felt}
     \item{k}{The baseline value (at large distance)}
     \item{D0}{The distance out to which the maximum effect is felt}
}

\details{
     The input \code{edgecoord} can be produced with \code{\link{relocate.edge.df}}.
     It is a dataframe with one row for each focal point--edge pair in the map.  The columns are:
     \describe{
          \item{map}{The name of the map containing the focal point--edge pair}
          \item{x0}{The x coordinate of the focal point (its y value is 0)}
          \item{y1}{The y coordinate of one end of the edge segment (its x value is 0)}
          \item{y2}{The y coordinate of the other end of the edge segment (its x value is 0)}
     }
}

\value{
     A scalar
}

\note{
    This function is intended to be used with \code{\link{edge.nls}}.
    See \code{vignette("edgefx")} for an example.
}

\references{
    Malcolm (1994) Ecology 75:2438--2445

    Ries etc.
}

\author{
    Goldberg, E.E. and Ries, L.

    Maintainer: Emma E. Goldberg <eeg@uic.edu>
}

\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (edgecoord, e0, Dmax, k, D0 = 0) 
{
    ans = apply(edgecoord, 1, segment.effect.wrapper, e0, Dmax, D0)
    return(sum(ans) + k)
  }
}
