\name{write.edges}
\alias{write.edges}

\title{ Prettily Write Edges in a Habitat Grid to a File }

\description{
     Writes a gridded map to a file, showing edge cells with an x other cells with a space.
}

\usage{
     write.edges(map, edges, filename = "edges.txt")
}

\arguments{
     \item{map}{A matrix, in which habitat cells contain a positive number and non-habitat cells contain 0.  Actually, it can be any matrix the size of the map.}
     \item{edges}{A dataframe with one row per edge cell found.  The columns \code{row} and \code{col} give the coordinates.  Can be produced with \code{\link{find.edges}}.}
     \item{filename}{The destination filename}
}

\value{
     Creates a text file.
}

\note{
    See \code{vignette("edgefx")} for an example.
}

\references{
    Malcolm (1994) Ecology 75:2438--2445

    Ries etc.
}

\author{
    Goldberg, E.E. and Ries, L.

    Maintainer: Emma E. Goldberg <eeg@uic.edu>
}

\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (map, edges, filename = "edges.txt") 
{
    edge.grid <- matrix(NA, nrow = nrow(map), ncol = ncol(map))
    edge.grid[as.matrix(edges)] <- 1
    write.table(edge.grid, file = filename, na = " ", quote = F, 
        sep = "", row.names = F, col.names = F)
  }
}
