\name{write.grid}
\alias{write.grid}

\title{ Prettily Write a Habitat Grid to a File}

\description{
     Writes a gridded map to a file, showing habitat with a dot and non habitat with a space.
}

\usage{
     write.grid(map, filename = "map.txt")
}

\arguments{
     \item{map}{A matrix, in which habitat cells contain a positive number and non-habitat cells contain 0.}
     \item{filename}{The destination filename}
}

\value{
     Creates a text file.
}

\note{
    See \code{vignette("edgefx")} for an example.
}

\references{
    Malcolm (1994) Ecology 75:2438--2445

    Ries etc.
}

\author{
    Goldberg, E.E. and Ries, L.

    Maintainer: Emma E. Goldberg <eeg@uic.edu>
}

\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (map, filename = "map.txt") 
{
    map[map > 0] <- "."
    map[map == 0] <- " "
    write.table(map, file = filename, quote = F, sep = "", 
        row.names = F, col.names = F)
  }
}
